
%define compat 02 

Name:		liboil%{?compat}
Version:	0.2.0
Release:	0.fdr.1%{?dist_tag}
Summary:	Library of optimized inner loops.

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.schleef.org/liboil/
Source:		http://www.schleef.org/liboil/download/liboil-0.2.0.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
# sigh, libtool
BuildRequires:	gcc-c++

%{?compat:Obsoletes: liboil = %{version} }

%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates
for significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package devel
Summary:	%{name} development files and static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%description devel
Files needed to build packages that depend on %{name}.


%prep
%setup -q -n liboil-%{version}


%build
%configure --disable-static

# not smp safe
# make  %{?_smp_mflags}
make 


%install
rm -rf $RPM_BUILD_ROOT

#makeinstall
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


# Conflicts with non compat pkg, besides I don't think it's used anyway
%{?compat: rm -f $RPM_BUILD_ROOT%{_libdir}/liboiltmp1* }


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
#{_libdir}/lib*.a
%{_libdir}/lib*2.so
%{_includedir}/liboil-0.2
%{_libdir}/pkgconfig/liboil-0.2.pc


%changelog
* Mon Nov 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.0-0.fdr.1
- Initial package
